View Issue Details

IDProjectCategoryView StatusLast Update
0031992LazarusLCLpublic2017-07-20 16:47
Reporterbald zhang Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformwin32OSWindows 
Product Version1.9 (SVN) 
Summary0031992: high dpi: controls not scaled properly when anchors is set and less than harf size, both horzontal and vertical
Descriptionwith 4k display, DPI = 192, 200%.
a control is set with Anchors akBottom or akRight, when it's Width < Form.Widht /2 or Height < Form.Height / 2, it miss scaled.

BTW, Form's Left and Top not scaled also.
Steps To Reproducesample project attached.

proj16 for lazarus 1.6.4
proj18 for lazarus trunk

compile and run, then resize the form.
TagsNo tags attached.
Fixed in Revision55537
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

bald zhang

2017-06-09 20:23

reporter  

align-bad.png (33,654 bytes)   
align-bad.png (33,654 bytes)   

bald zhang

2017-06-09 20:23

reporter  

align-ok.png (26,810 bytes)   
align-ok.png (26,810 bytes)   

bald zhang

2017-06-09 20:24

reporter  

align.zip (257,577 bytes)

Michl

2017-06-09 22:01

developer   ~0100983

Last edited: 2017-06-09 22:03

View 3 revisions

Which revision? Here on 64bit Windows7 with 192DPI, Lazarus 1.9.0 r55292 FPC 3.0.0 i386-win32-win32/win64, everything is fine.

bald zhang

2017-06-09 23:17

reporter   ~0100986

previous revision is r55289.
update to r55293 and do a totally clean/rebuild, it's still the same.

is there anything to check again?

Windows 10, 64bit, 4k display with 192 DPI, fpc 3.0.2 x86_64

bald zhang

2017-06-11 05:08

reporter  

align-18rc1.png (34,812 bytes)   
align-18rc1.png (34,812 bytes)   

bald zhang

2017-06-11 05:11

reporter   ~0101017

did more test.
in 1.8.0rc1, it's *almost* good, only error is memo5, the right side should align with memo4
in 1.8.0rc2, it's bad

1.8.0 rc# compiled with fpc 3.0.2 i386, looks not related to x86 or x64

bald zhang

2017-07-20 16:47

reporter   ~0101822

it's ok now.

Issue History

Date Modified Username Field Change
2017-06-09 20:23 bald zhang New Issue
2017-06-09 20:23 bald zhang File Added: align-bad.png
2017-06-09 20:23 bald zhang File Added: align-ok.png
2017-06-09 20:24 bald zhang File Added: align.zip
2017-06-09 22:00 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-06-09 22:00 Ondrej Pokorny Status new => assigned
2017-06-09 22:01 Michl LazTarget => -
2017-06-09 22:01 Michl Note Added: 0100983
2017-06-09 22:01 Michl Assigned To Ondrej Pokorny =>
2017-06-09 22:01 Michl Status assigned => feedback
2017-06-09 22:03 Michl Note Edited: 0100983 View Revisions
2017-06-09 22:03 Michl Note Edited: 0100983 View Revisions
2017-06-09 23:17 bald zhang Note Added: 0100986
2017-06-09 23:17 bald zhang Status feedback => new
2017-06-09 23:27 Michl Assigned To => Ondrej Pokorny
2017-06-09 23:27 Michl Status new => assigned
2017-06-11 05:08 bald zhang File Added: align-18rc1.png
2017-06-11 05:11 bald zhang Note Added: 0101017
2017-07-18 22:51 Ondrej Pokorny Fixed in Revision => 55537
2017-07-18 22:51 Ondrej Pokorny Status assigned => resolved
2017-07-18 22:51 Ondrej Pokorny Resolution open => fixed
2017-07-20 16:47 bald zhang Note Added: 0101822
2017-07-20 16:47 bald zhang Status resolved => closed